body {
    margin: 0;
    font-family: Arial, sans-serif;
    background: #090040;
    color: #fff;
    display: flex;
    flex-direction: column;
    height: 100vh;
    overflow: hidden;
}
a {
  text-decoration: none;
}

header {

    color: #000;
 padding: 12px 30px;
    position: relative;
}

.nav__logo {
    color: #ffcc00;
    font-weight: 600;
    font-size: 2rem;
}

#homeBtn {
    position: absolute;
    right: 15px;
    top: 10px;
    background: #090040;
    color: #fff;
    border: none;
    padding: 6px 12px;
    border-radius: 4px;
    cursor: pointer;
    font-size: 1.5rem;
}

#quiz {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 15px;
    overflow: auto;
    overflow-x: hidden;
}

.question-card {
    background: #fff;
    color: #000;
    border-radius: 8px;
    padding: 10px;
    max-width: 700px;
    width: 95%;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.2);
}

#questionText {
    font-size: 18px;
    margin-bottom: 16px;
    padding: 14px;
    width: 90%;
}

.option {
    display: block;
    margin: 8px auto;
    padding: 10px;
    width: 95%;
    background: #f8f8f8;
    color: #000;
    border: 1px solid gray;
    border-radius: 6px;
    cursor: pointer;
    font-size: 16px;
    text-align: left;
}

.option:hover {
    background: #eee;
}

footer {
    background: #090040;
    padding: 10px;
    text-align: center;
}

footer button {
    background: #28a745;
    border: none;
    padding: 10px 20px;
    font-size: 18px;
    font-weight: 600;
    border-radius: 6px;
    cursor: pointer;
    color: #090040;
    margin-bottom: 70px;
}
footer button:hover{
    background: #5cc775;
}

.floating-btn {
    position: fixed;
    bottom: 70px;
    border: none;
    border-radius: 20%;
    width: 40px;
    height: 40px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 22px;
    background: #ffcc00;
}

#progressBtn {
    left: 30px;
}

#categoryBtn {
    right: 30px;
}

#progressModal,
#categoryModal,
#review {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.6);
    justify-content: center;
    align-items: center;
    overflow-y: auto; /* Add vertical scrollbar if content overflows */
  
}

.modalContent,
#reviewContent {
    background: #fff;
    color: #000;
    padding: 20px;
    border-radius: 8px;
    width: 90%;
    max-width: 500px;
    max-height: 80vh;
    overflow-y: auto;
    position: relative;
}

#closeReview,
#closeCategory,
#closeProgress {
    position: sticky;
    top: 0;
    float: right;
    background: red;
    color: #fff;
    border: none;
    padding: 6px 10px;
    cursor: pointer;
    border-radius: 4px;
    font-weight: bold;
}

.calendar {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 4px;
    margin-top: 10px;
}

.calendar div {
    padding: 6px;
    background: #eee;
    text-align: center;
    border-radius: 4px;
    font-size: 12px;
}

#navButtons {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-top: 10px;
}

.navBtn {
    padding: 10px 20px;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    font-weight: bold;
    color: #fff;
}

#nextBtn {
    background: #170872;
    color: #ffcc00;
    font-size: 16px;
    margin-top: 7px;
}
#nextBtn:hover{
    background: #090040;
}

.selectallBtn,
.clearallBtn{
    background: #170872;
    border: none;
    color: #ffcc00;
    padding: 4px 7px;
    margin: 2px;
    border-radius: 5px;
    font-weight: 500;
}
.selectallBtn:hover{
    background: #090040;
}
.clearallBtn:hover{
    background: #090040;
}

#subjectChapterSection{
    padding: 15px;
}
